Bug 997540 - Review Request: perl-Mock-Quick - Quickly mock objects and classes, side-effect free
Review Request: perl-Mock-Quick - Quickly mock objects and classes, side-effe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 997554
  Show dependency treegraph
 
Reported: 2013-08-15 10:29 EDT by Paul Howarth
Modified: 2013-09-10 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Mock-Quick-1.107-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 19:06:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-15 10:29:22 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Mock-Quick/branches/fedora/perl-Mock-Quick.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Mock-Quick/perl-Mock-Quick-1.107-2.fc20.src.rpm
Description:

Mock-Quick is here to solve the current problems with Mocking libraries.

There are a couple of Mocking libraries available on CPAN. The primary problems
with these libraries include verbose syntax, and most importantly side-effects.
Some Mocking libraries expect you to mock a specific class, and will unload it
then redefine it. This is particularly a problem if you only want to override
a class on a lexical level.

Mock-Object provides a declarative mocking interface that results in a very
concise, but clear syntax. There are separate facilities for mocking object
instances, and classes. You can quickly create an instance of an object with
custom attributes and methods. You can also quickly create an anonymous class,
optionally inheriting from another, with whatever methods you desire.

Mock-Object also provides a tool that provides an OO interface to overriding
methods in existing classes. This tool also allows for the restoration of the
original class methods. Best of all, this is a localized tool: when your
control object falls out of scope, the original class is restored.



Fedora Account System Username: pghmcfc
Comment 1 Jitka Plesnikova 2013-08-26 07:35:02 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


$ rpmlint perl-Mock-Quick.spec perl-Mock-Quick-1.107-2.fc21.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint ok.

$ rpm -qp --provides ../results/perl-Mock-Quick-1.107-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(Mock::Quick) = 1.107
      1 perl(Mock::Quick::Class)
      1 perl(Mock::Quick::Method)
      1 perl(Mock::Quick::Object)
      1 perl(Mock::Quick::Object::Control)
      1 perl(Mock::Quick::Util)
      1 perl(Object::Quick)
      1 perl-Mock-Quick = 1.107-2.fc21
Binary provides ok.

$ rpm -qp --requires ../results/perl-Mock-Quick-1.107-2.fc21.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(Exporter::Declare)
      1 perl(Mock::Quick::Class)
      1 perl(Mock::Quick::Method)
      1 perl(Mock::Quick::Object)
      1 perl(Mock::Quick::Object::Control)
      1 perl(Mock::Quick::Util)
      1 perl(Scalar::Util)
      1 perl(base)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires ok.

Source checksums
----------------
http://cpan.metacpan.org/authors/id/E/EX/EXODIST/Mock-Quick-1.107.tar.gz :
  CHECKSUM(SHA256) this package     : 8809534ea61d510254592ce3cc8f70ca637d890e31805ded636e40563b6998e4
  CHECKSUM(SHA256) upstream package : 8809534ea61d510254592ce3cc8f70ca637d890e31805ded636e40563b6998e4


Diff spec file in url and in SRPM
---------------------------------
--- /home/jplesnik/review/997540-perl-Mock-Quick/srpm/perl-Mock-Quick.spec      2013-08-26 13:03:26.857929068 +0200
+++ /home/jplesnik/review/997540-perl-Mock-Quick/srpm-unpacked/perl-Mock-Quick.spec     2013-08-15 15:58:06.000000000 +0200
@@ -54,5 +54,5 @@
 %install
 ./Build install destdir=%{buildroot} create_packlist=0
-%{_fixperms} %{buildroot}
+%{_fixperms} $R%{buildroot}

 %check



ISSUES:
TODO: Please check the spec. There is differences between spec file in url
and in SRPM. Remove the $R from the line.

Otherwise, the package is good.
APPROVED
Comment 2 Paul Howarth 2013-08-30 12:33:58 EDT
New Package SCM Request
=======================
Package Name: perl-Mock-Quick
Short Description: Quickly mock objects and classes, side-effect free
Owners: pghmcfc
Branches: f19 f20
InitialCC: perl-sig

Thanks for the review (again) Jitka.

The $R in the spec was a copy-and-paste error and is already fixed locally (hence the difference) and won't appear on import.
Comment 3 Gwyn Ciesla 2013-08-30 12:44:28 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-01 19:05:03 EDT
perl-Mock-Quick-1.107-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Mock-Quick-1.107-2.fc19
Comment 5 Fedora Update System 2013-09-10 22:04:09 EDT
perl-Mock-Quick-1.107-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.